Imports DevExpress.Xpf.Core

Public Class dxwIntervaloFechas
    Public NombreFichero As String
    Public FechaInicial As Date?
    Public FechaFinal As Date?
    Private _fiObligatoria As Boolean
    Private _ffObligatoria As Boolean
    Public Sub New(Optional FechaInicio As Date? = Nothing, Optional FechaFin As Date? = Nothing, Optional Titulo As String = "Introduzca intervalo de Fechas", Optional FechaInicioObligatoria As Boolean = False, Optional FechaFinObligatoria As Boolean = False)
        ' Llamada necesaria para el diseñador.
        InitializeComponent()
        Me.Title = Titulo
        Me.deFechaInicial.EditValue = FechaInicio
        Me.deFechaFinal.EditValue = FechaFin
        _fiObligatoria = FechaInicioObligatoria
        _ffObligatoria = FechaFinObligatoria

        ' Agregue cualquier inicialización después de la llamada a InitializeComponent().

    End Sub

    Public Sub New()
        ' Llamada necesaria para el diseñador.
        InitializeComponent()
        ' Agregue cualquier inicialización después de la llamada a InitializeComponent().

    End Sub
    Private Sub btCancelar_Click(sender As Object, e As RoutedEventArgs)
        Me.DialogResult = False
        Me.Close()
    End Sub

    Private Sub btAceptar_Click(sender As Object, e As RoutedEventArgs)
        Try
            If Me.deFechaInicial.EditValue Is Nothing AndAlso _fiObligatoria Then Throw New Exception("La fecha inicial es obligatoria")
            If Me.deFechaFinal.EditValue Is Nothing AndAlso _ffObligatoria Then Throw New Exception("La fecha final es obligatoria")
            Me.FechaInicial = Me.deFechaInicial.EditValue
            Me.FechaFinal = Me.deFechaFinal.EditValue
            Me.DialogResult = True
            Me.Close()
        Catch ex As Exception
            DXMessageBox.Show(ex.Message, "Error")
        End Try
    End Sub


End Class
